package com.yanzhu.jh.video.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 视频配置对象 sur_project_video_config
 * 
 * @author JiangYuQi
 * @date 2023-08-25
 */
public class SurProjectVideoConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 视频名称 */
    @Excel(name = "视频名称")
    private String videoName;

    /** 视频类型 */
    @Excel(name = "视频类型")
    private String videoOnlyType;

    /** 视频编号 */
    @Excel(name = "视频编号")
    private String videoDvrNumber;

    /** 视频信令 */
    @Excel(name = "视频信令")
    private String videoDvrSecurity;

    /** 通道数量 */
    @Excel(name = "通道数量")
    private int videoPassageCount;

    /** 通道连通数量 */
    @Excel(name = "通道连通数量")
    private int passagePassCount;

    /** 设备排序 */
    @Excel(name = "设备排序")
    private int videoSort;

    /** 通信类型 */
    @Excel(name = "通信类型")
    private String signalType;

    /** 通信状态 */
    @Excel(name = "通信状态")
    private String signalState;

    /** 通信密码 */
    @Excel(name = "通信密码")
    private String signalCode;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    private String projectName;

    /** 视频通道信息 */
    private List<SurProjectVideoPassage> surProjectVideoPassageList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setVideoOnlyType(String videoOnlyType) 
    {
        this.videoOnlyType = videoOnlyType;
    }

    public String getVideoOnlyType() 
    {
        return videoOnlyType;
    }
    public void setVideoDvrNumber(String videoDvrNumber) 
    {
        this.videoDvrNumber = videoDvrNumber;
    }

    public String getVideoDvrNumber() 
    {
        return videoDvrNumber;
    }
    public void setVideoDvrSecurity(String videoDvrSecurity) 
    {
        this.videoDvrSecurity = videoDvrSecurity;
    }

    public String getVideoDvrSecurity() 
    {
        return videoDvrSecurity;
    }

    public void setVideoPassageCount(int videoPassageCount)
    {
        this.videoPassageCount = videoPassageCount;
    }

    public int getVideoPassageCount()
    {
        return videoPassageCount;
    }
    public void setSignalType(String signalType) 
    {
        this.signalType = signalType;
    }

    public String getSignalType() 
    {
        return signalType;
    }
    public void setSignalState(String signalState) 
    {
        this.signalState = signalState;
    }

    public String getSignalState() 
    {
        return signalState;
    }
    public void setSignalCode(String signalCode) 
    {
        this.signalCode = signalCode;
    }

    public String getSignalCode() 
    {
        return signalCode;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public List<SurProjectVideoPassage> getSurProjectVideoPassageList()
    {
        return surProjectVideoPassageList;
    }

    public void setSurProjectVideoPassageList(List<SurProjectVideoPassage> surProjectVideoPassageList)
    {
        this.surProjectVideoPassageList = surProjectVideoPassageList;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getVideoName() {
        return videoName;
    }

    public void setVideoName(String videoName) {
        this.videoName = videoName;
    }

    public int getPassagePassCount() {
        return passagePassCount;
    }

    public void setPassagePassCount(int passagePassCount) {
        this.passagePassCount = passagePassCount;
    }

    public int getVideoSort() {
        return videoSort;
    }

    public void setVideoSort(int videoSort) {
        this.videoSort = videoSort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("videoName", getVideoName())
            .append("videoOnlyType", getVideoOnlyType())
            .append("videoDvrNumber", getVideoDvrNumber())
            .append("videoDvrSecurity", getVideoDvrSecurity())
            .append("videoPassageCount", getVideoPassageCount())
            .append("signalType", getSignalType())
            .append("signalState", getSignalState())
            .append("signalCode", getSignalCode())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("surProjectVideoPassageList", getSurProjectVideoPassageList())
            .toString();
    }
}
